Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.cookies
Interface ConnectionCookie

All Superinterfaces:
  Node.Cookie

Deprecated. Should no longer be used.

    public interface ConnectionCookie

extends Node.Cookie

Cookie that allows connection between two objects. Also supporting persistent connections.

Nested Class Summary
`static class` | `ConnectionCookie.Event` Deprecated. Event that is fired to listeners.
`static interface` | `ConnectionCookie.Listener` Deprecated. Cookie that must be provided by a node that is willing to register itself as a listener to a ConnectionCookie.
`static interface` | `ConnectionCookie.Type` Deprecated. Interface describing cookie type of event a cookie can produce.

Method Summary
`Set` | `getTypes()` Deprecated. Unmutable set of types supported by this connection source.
`void` | `register(ConnectionCookie.Type type, Node listener)` Deprecated. Attaches new node to listen to events produced by this event.
`void` | `unregister(ConnectionCookie.Type type, Node listener)` Deprecated. Unregisters an listener.

Method Detail

### register

    void register(ConnectionCookie.Type type,
                  Node listener)
                  throws IOException

  Deprecated.
  Attaches new node to listen to events produced by this event. The type must be one of event types supported by this cookie and the listener should have ConnectionCookie.Listener cookie attached so it can be notified when event of requested type occurs.

  Parameters:
    `type` - the type of event, must be supported by the cookie
    `listener` - the node that should be notified
  Throws:
    `InvalidObjectException` - if the type is not supported by the cookie
    `IOException` - if the type is persistent and the listener does not have serializable handle (listener.getHandle () is null or its serialization throws an exception)

### unregister

    void unregister(ConnectionCookie.Type type,
                    Node listener)
                    throws IOException

  Deprecated.
  Unregisters an listener.

  Parameters:
    `type` - type of event to unregister the listener from listening to
    `listener` - to unregister
  Throws:
    `IOException` - if there is I/O operation error when the removing the listener from persistent storage

### getTypes

    Set getTypes()

  Deprecated.
  Unmutable set of types supported by this connection source.

  Returns:
    a set of Type objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.